using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Enums.Exams;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class UserExamDto:UpdateUserExamDto
    {
        ///// <summary>
        ///// 用户考试明细
        ///// </summary>
        //[Description("用户考试明细")]
        //public new List<UserExamItemDto> UserExamItems { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        public string FullOrgName { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        [Description("用户名")]
        public string Name { get; set; }
    }

    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class AddUserExamDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 用户考试
    /// </summary>
    [Description("用户考试")]
    public class UpdateUserExamDto : AddUserExamDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }

        ///// <summary>
        ///// 用户考试明细
        ///// </summary>
        //[Description("用户考试明细")]
        //public new List<UpdateUserExamItemDto> UserExamItems { get; set; }
    }

    /// <summary>
    /// 开始考试
    /// </summary>
    [Description("开始考试")]
    public class StartUserExamDto : IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
